Skip to main content
GET
/
artists
/
wallets
Get Artist Wallets
curl --request GET \
  --url https://api.inprocess.world/api/artists/wallets
import requests

url = "https://api.inprocess.world/api/artists/wallets"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.inprocess.world/api/artists/wallets', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "wallets": [
    {
      "address": "0x51027631B9DEF86e088C33368eC4E3A4BE0aD264",
      "type": "external"
    },
    {
      "address": "0xAbCdEf1234567890AbCdEf1234567890AbCdEf12",
      "type": "farcaster"
    }
  ]
}
{
  "status": "error",
  "message": "<string>",
  "errors": [
    {
      "field": "<string>",
      "message": "<string>"
    }
  ]
}
{
  "status": "error",
  "message": "<string>",
  "errors": [
    {
      "field": "<string>",
      "message": "<string>"
    }
  ]
}
The artistId query parameter must be a valid UUID. No authentication is required.

Query Parameters

artistId
string<uuid>
required

The UUID of the artist whose wallets to retrieve.

Response

Successful response

wallets
object[]
required

All wallets associated with the artist.